local text_original = LocalizationManager.text
local testAllStrings = false
function LocalizationManager:text(string_id, ...)

-- Add or remove two Minuses to enable/disable certain lines
-- Each line in each paragraph increases difficulty; normal, hard, very hard, overkill, mayhem, deathwish, death sentence, one down modifier.

-- Descriptions for choosing difficulties and amount of xp/cash gain
return string_id == "menu_risk_pd" 			and "Normal. No increased xp and cash."
or string_id == "menu_risk_swat" 			and "Hard. Increased xp and cash."									
or string_id == "menu_risk_fbi" 			and "Very Hard. Greatly increased xp and cash."						
or string_id == "menu_risk_special"			and "Overkill. Massively increased xp and cash."					
or string_id == "menu_risk_easy_wish"		and "Mayhem. Tremendously increased xp and cash."				
or string_id == "menu_risk_elite" 			and "Deathwish. Monumentally increased xp and cash."				
or string_id == "menu_risk_sm_wish" 		and "Death Sentence. Maximimum increased xp and cash."				
or string_id == "menu_toggle_one_down"		and "One down"													


-- Difficulties as seen in loading screens, Crime.Net, etc
or string_id == "menu_difficulty_normal" 		and "Normal"						
or string_id == "menu_difficulty_hard" 			and "Hard"								
or string_id == "menu_difficulty_very_hard" 	and "Very Hard"						
or string_id == "menu_difficulty_overkill" 		and "Overkill"
or string_id == "menu_difficulty_easy_wish" 	and "Mayhem"
or string_id == "menu_difficulty_apocalypse" 	and "Deathwish"
or string_id == "menu_difficulty_sm_wish" 		and "Death Sentence"
or string_id == "menu_one_down"					and	"One Down"


-- Names of the Difficulty Masks, self explanitory
or string_id == "bm_msk_dnm" 				and "The Normal Skull"
or string_id == "bm_msk_skullhard" 			and "The Hard Skull"
or string_id == "bm_msk_skullveryhard" 		and "The Very Hard Skull"
or string_id == "bm_msk_skulloverkill" 		and "The Overkill Skull"
or string_id == "bm_e_wish" 				and "The Mayhem Skull"
or string_id == "bm_msk_skulloverkillplus" 	and "The Deathwish Skull"
or string_id == "bm_sm_wish" 				and "The Death Sentence Skull"
or string_id == "bm_msk_ggac" 				and "The One Down Skull"


-- Titles, descriptions, information, and unlock requirements for Difficulty Mask achievements
or string_id == "achievement_trk_a_0" 				and "Normal Origins"
or string_id == "achievement_trk_a_0_desc" 			and "Complete all contracts on the Normal Difficulty or above."
or string_id == "achievement_trk_a_0_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_trk_a_0_unlock"		and "Unlocks \"The Normal Skull\" mask."

or string_id == "achievement_death_27" 				and "Tough Act to Follow"
or string_id == "achievement_death_27_desc" 		and "Complete all contracts on the Hard difficulty or above."
or string_id == "achievement_death_27_additional"	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_death_27_unlock"		and "Unlocks \"The Hard Skull\" mask."

or string_id == "achievement_death_28" 				and "Shit Just Got Real"
or string_id == "achievement_death_28_desc" 		and "Complete all contracts on the Very Hard difficulty or above."
or string_id == "achievement_death_28_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_death_28_unlock" 		and "Unlocks \"The Very Hard Skull\" mask."

or string_id == "achievement_death_29" 				and "Completely OVERKILL!"
or string_id == "achievement_death_29_desc" 		and "Complete all contracts on the OVERKILL difficulty or above."
or string_id == "achievement_death_29_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_death_29_unlock" 		and "Unlocks \"The OVERKILL Skull\" mask."

or string_id == "achievement_pick_66" 				and "Master of Mayhem"
or string_id == "achievement_pick_66_desc" 			and "Complete all contracts on the Mayhem difficulty or above."
or string_id == "achievement_pick_66_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_pick_66_unlock" 		and "Unlocks \"The Mayhem Skull\" mask."

or string_id == "achievement_death_30" 				and "Overkill Salutes You!!"
or string_id == "achievement_death_30_desc" 		and "Complete all contracts on the Deathwish difficulty or above."
or string_id == "achievement_death_30_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_death_30_unlock" 		and "Unlocks \"The Deathwish Skull \" mask."

or string_id == "achievement_axe_66" 				and "A Heister of Legend."
or string_id == "achievement_axe_66_desc" 			and "Complete all contracts on the Death Sentence difficulty or above."
or string_id == "achievement_axe_66_additional" 	and "This achievement requires you to play from the lobby to the end of the heists."
or string_id == "achievement_axe_66_unlock" 		and "Unlocks \"The Death Sentence Skull\" mask."

or string_id == "achievement_ggez_1" 				and "One More Down, No More To Go."
or string_id == "achievement_ggez_1_desc" 			and "Complete all contracts on the Death Sentence difficulty with the One Down mechanic activated."
or string_id == "achievement_ggez_1_additional" 	and "This achievement requires you to play from the lobby to the end of the heists. You can activate the One Down mechanic on the Buy Contract screen."
or string_id == "achievement_ggez_1_unlock" 		and "Unlocks \"The One Down Skull\" mask."


or testAllStrings == true and string_id
or text_original(self, string_id, ...)
end